local t = Def.ActorFrame {};

t[#t+1] = Def.ActorFrame {
	LoadActor("_base") .. {
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;);
	};
	Def.ActorFrame{	
		LoadActor("_shuriken") .. {
			InitCommand=cmd(x,SCREEN_CENTER_X+260;y,SCREEN_CENTER_Y;blend,'BlendMode_Add';diffusealpha,0.6);
			OnCommand=cmd(spin;effectmagnitude,0,0,10;);
		};
		LoadActor("_botlefthex") .. {
			InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;);
			OnCommand=cmd(diffuseshift;effectcolor1,1,1,1,1.0;effectcolor2,1,1,1,0.7;effectperiod,4;);
		};
	};
	LoadActor("_tophex") .. {
		InitCommand=cmd(x,SCREEN_LEFT+120;y,SCREEN_TOP+89;diffusealpha,0.5;blend,'BlendMode_Add';);
	};
	LoadActor("_topflare") .. {
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;);
	};	
	LoadActor("_tex") .. {
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;blend,'BlendMode_WeightedMultiply');
	};		
};


t[#t+1] = LoadActor("_particleLoader") .. {
		InitCommand=cmd(x,0;y,0;);
	};

t[#t+1] = Def.ActorFrame {
	LoadActor("_flarebot") .. {
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;blend,'BlendMode_Add';);
		OnCommand=cmd(diffuseshift;effectcolor1,1,1,1,1.0;effectcolor2,1,1,1,0.8;effectperiod,8;);
	};
	LoadActor("_botb") .. {
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;blend,'BlendMode_Add';);
		OnCommand=cmd(diffuseshift;effectcolor1,1,1,1,0.3;effectcolor2,1,1,1,0.1;effectperiod,8;);
	};	
	LoadActor("_topflare") .. {
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;);
	};
};

return t